Skip to content
Merged
Show file tree
Hide file tree
Changes from all commits
Commits
File filter

Filter by extension

Filter by extension

Conversations
Failed to load comments.
Loading
Jump to
Jump to file
Failed to load files.
Loading
Diff view
Diff view
10 changes: 10 additions & 0 deletions CHANGELOG.md
Original file line number Diff line number Diff line change
Expand Up @@ -6,6 +6,16 @@ The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/).

## [Unreleased]

## [v3.662.0] - 2026-06-15

### Changed
- Updated `v3-document-verification-entry`
- Updated `v3-enhanced-document-verification-entry`
- Updated `v3-report-user-fraud`
- Updated `v3-services`
- Updated `v3-smart-selfie-compare-entry`


## [v3.640.0] - 2026-06-05

### Changed
Expand Down
6 changes: 3 additions & 3 deletions README.md
Original file line number Diff line number Diff line change
Expand Up @@ -10,16 +10,16 @@ OpenAPI 3.0 specifications for the Smile Identity v3 API.
| [Biometric Authentication](specs/v3/v3-biometric-authentication-entry.yaml) | `POST /v3/authentication` | Submit biometric authentication |
| [Biometric Enrollment](specs/v3/v3-biometric-enrollment-entry.yaml) | `POST /v3/registration` | Submit biometric enrollment |
| [Biometric KYC](specs/v3/v3-biometric-kyc-entry.yaml) | `POST /v3/biometric_kyc` | Submit Biometric KYC verification |
| [Document Verification](specs/v3/v3-document-verification-entry.yaml) | `POST /v3/document-verification` | Submit Document Verification |
| [Enhanced Document Verification](specs/v3/v3-enhanced-document-verification-entry.yaml) | `POST /v3/enhanced-document-verification` | Submit Enhanced Document Verification |
| [Document Verification](specs/v3/v3-document-verification-entry.yaml) | `POST /v3/document_verification` | Submit Document Verification |
| [Enhanced Document Verification](specs/v3/v3-enhanced-document-verification-entry.yaml) | `POST /v3/enhanced_document_verification` | Submit Enhanced Document Verification |
| [Enhanced KYC](specs/v3/v3-enhanced-kyc-entry.yaml) | `POST /v3/enhanced_kyc` | Submit Enhanced KYC verification |
| [Replay Callback](specs/v3/v3-replay-callback.yaml) | `POST /v3/replay/{job_id}` | Replay a callback for a completed verification |
| [Report User Fraud](specs/v3/v3-report-user-fraud.yaml) | `POST /v3/users/{user_id}/report_fraud` | Flag or clear fraud status for a user |
| [Services](specs/v3/v3-services.yaml) | `GET /v3/services/bank_codes` | List bank codes |
| [Services](specs/v3/v3-services.yaml) | `GET /v3/services/id_status` | Get ID type availability status |
| [Services](specs/v3/v3-services.yaml) | `GET /v3/services/supported_documents` | List supported documents for verification |
| [Services](specs/v3/v3-services.yaml) | `GET /v3/services/supported_id_types` | List supported KYC ID types |
| [Smart Selfie Compare](specs/v3/v3-smart-selfie-compare-entry.yaml) | `POST /v3/smart_selfie_compare` | Submit smart selfie compare |
| [Smart Selfie Compare](specs/v3/v3-smart-selfie-compare-entry.yaml) | `POST /v3/compare` | Submit smart selfie compare |
| [Token](specs/v3/v3-token.yaml) | `POST /v3/token` | Generate v3 Auth Token |
| [Verification Status](specs/v3/v3-verification-status.yaml) | `GET /v3/status/{jobId}` | Get verification status |
<!-- SPEC_TABLE_END -->
Expand Down
2 changes: 1 addition & 1 deletion specs/v3/v3-document-verification-entry.yaml
Original file line number Diff line number Diff line change
@@ -1,4 +1,4 @@
openapi: 3.0.0

Check warning on line 1 in specs/v3/v3-document-verification-entry.yaml

View workflow job for this annotation

GitHub Actions / validate

oas3-api-servers
info:
title: V3 Document Verification API
version: '1.0.0'
Expand All @@ -13,7 +13,7 @@

At least one of `email` or `phone_number` is required.
paths:
/v3/document-verification:
/v3/document_verification:
post:
summary: Submit Document Verification
operationId: v3DocumentVerificationEntry
Expand Down
2 changes: 1 addition & 1 deletion specs/v3/v3-enhanced-document-verification-entry.yaml
Original file line number Diff line number Diff line change
Expand Up @@ -13,7 +13,7 @@ info:

At least one of `email` or `phone_number` is required.
paths:
/v3/enhanced-document-verification:
/v3/enhanced_document_verification:
post:
summary: Submit Enhanced Document Verification
operationId: v3EnhancedDocumentVerificationEntry
Expand Down
8 changes: 0 additions & 8 deletions specs/v3/v3-report-user-fraud.yaml
Original file line number Diff line number Diff line change
Expand Up @@ -16,14 +16,6 @@ info:
partner's IP allowlist (when configured) and must not appear on the IP
blocklist.

servers:
- url: https://api.smileidentity.com
description: Production
- url: https://testapi.smileidentity.com
description: Sandbox
- url: https://devapi.smileidentity.com
description: Development

components:
securitySchemes:
SmileIDToken:
Expand Down
8 changes: 0 additions & 8 deletions specs/v3/v3-services.yaml
Original file line number Diff line number Diff line change
Expand Up @@ -9,14 +9,6 @@ info:
Most endpoints do not require authentication. The `GET /v3/services/id_status` endpoint
requires a JWT token passed in the `SmileID-Token` header.

servers:
- url: https://api.smileidentity.com
description: Production
- url: https://testapi.smileidentity.com
description: Sandbox
- url: https://devapi.smileidentity.com
description: Development

components:
parameters:
CountryFilter:
Expand Down
2 changes: 1 addition & 1 deletion specs/v3/v3-smart-selfie-compare-entry.yaml
Original file line number Diff line number Diff line change
Expand Up @@ -12,7 +12,7 @@ info:

At least one of `email` or `phone_number` is required.
paths:
/v3/smart_selfie_compare:
/v3/compare:
post:
summary: Submit smart selfie compare
operationId: v3SmartSelfieCompare
Expand Down
Loading